CliException (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.cli

## Class CliException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.zookeeper.cli.CliException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CliParseException, CliWrapperException, CommandNotFoundException, MalformedCommandException, MalformedPathException

      public class CliException
      extends Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `DEFAULT_EXCEPTION_EXIT_CODE`
    `protected int` | `exitCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CliException(String message)`
    `CliException(String message, int exitCode)`
    `CliException(String message, Throwable cause)`
    `CliException(String message, Throwable cause, int exitCode)`
    `CliException(Throwable cause)`
    `CliException(Throwable cause, int exitCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exitCode

          protected int exitCode

    - #### DEFAULT_EXCEPTION_EXIT_CODE

          protected static final int DEFAULT_EXCEPTION_EXIT_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CliException

          public CliException(String message)

    - #### CliException

          public CliException(String message,
                              int exitCode)

    - #### CliException

          public CliException(Throwable cause)

    - #### CliException

          public CliException(Throwable cause,
                              int exitCode)

    - #### CliException

          public CliException(String message,
                              Throwable cause)

    - #### CliException

          public CliException(String message,
                              Throwable cause,
                              int exitCode)

  - ### Method Detail

    - #### getExitCode

          public int getExitCode()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.